Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 20 Nov 2019, 14:09
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Dpup Stretch 7.5 CE (RC-5)
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 30 of 47 [691 Posts]   Goto page: Previous 1, 2, 3, ..., 28, 29, 30, 31, 32, ..., 45, 46, 47 Next
Author Message
ETP


Joined: 19 Oct 2010
Posts: 1170
Location: UK

PostPosted: Fri 30 Nov 2018, 04:54    Post subject: avahi  

@s243a
Quote:
By chance does anyone know if there is a specific user id and group id that I should give to avahi.

The following post may be of help with regard to avahi implementation.
http://murga-linux.com/puppy/viewtopic.php?p=990190&search_id=407590269#990190

Before using 120 I checked with
Code:
cat /etc/group

that it was not already in use, saw that 119 was used by the haldaemon & took a chance on the next available.

_________________
Regards ETP

Kennels
Back to top
View user's profile Send private message 
01101001b


Joined: 08 Mar 2017
Posts: 90
Location: Buenos Aires, Argentina

PostPosted: Sat 01 Dec 2018, 18:08    Post subject:  

radky wrote:
@01101001b,
Running Palemoon 28.2.1 in the upcoming stretch RC4, I find scrolling is smooth [...]

Thank you Radky. Good to know there will be a solution sooner or later for this scrolling nuisance. I'll be looking forward to RC4. Thanks for your answer!
Back to top
View user's profile Send private message 
01101001b


Joined: 08 Mar 2017
Posts: 90
Location: Buenos Aires, Argentina

PostPosted: Sat 01 Dec 2018, 19:10    Post subject:  

belham2 wrote:
radky wrote:
As of v28.2.0, the palemoon browser supports Asynchronous Panning and Zooming (APZ) which may improve scrolling on webpages laden with imbedded javascript [...]

Even the latest Palemoon suffers from the same problem.
Anyway, I gave up on Palemoon---again---

"Whoa, whoa, whoa! Hold your horses, partner!" Wink Maybe you can try one last thing. Humor me Wink

EDIT: - SOLVED - (need confirmation though)

Long story short: Since nobody but belham2 and me seems to have any scrolling trouble in Pale Moon, it becomes clear is not Pale Moon related. So it was possible some addon were wreaking havoc.

After searching and testing, I found ublock origin adds "stuttering" to scroll and with ublock disabled, scroll stutters disappear.

Looking deeper, scrolling quirks also disappear is ublock origin is enable BUT in its settings, you turn off "comestic filtering".

So far, scrolling in Yahoo pages, Google searches and YT seem to be ok.

Last edited by 01101001b on Thu 20 Dec 2018, 04:50; edited 1 time in total
Back to top
View user's profile Send private message 
01101001b


Joined: 08 Mar 2017
Posts: 90
Location: Buenos Aires, Argentina

PostPosted: Sun 02 Dec 2018, 00:03    Post subject:  

Hi everybody!
Question:
Why is rox-filer (not rox) not retaining any change in its settings? That is, changes in icon theme or icon view (size) are lost every time I boot my system. They only last until I shutdown my system or I restart the WM. Something seems to be writing default values in each boot, because I can see changes appear in /root/.config/rox.sourceforge.net/ROX-Filer/Options but they don't persist.

EDIT: SOLVED.
I found inside this file (/root/.config/openbox/autostart) the culprit. There, some code changed roxfiler options in every boot to default values. Amazing Confused
Back to top
View user's profile Send private message 
oui

Joined: 20 May 2005
Posts: 3494
Location: near Woof (Germany) :-) - 3 PC's: DELL SX280 750 MB Pentium4, Acer emachines 2 GB AMD64. DELL XPS15

PostPosted: Thu 06 Dec 2018, 09:55    Post subject:  

01101001b wrote:

EDIT: SOLVED.
I found inside this file (/root/.config/openbox/autostart) the culprit. There, some code changed roxfiler options in every boot to default values. Amazing


yes, really amazing. but not wonder: it is classical in Puppy. depending of the implementation of Puppy a lot of values return to the default values each restart: sound, .jwmrc, xorgconf, UTC/localtime etc., excepted if you know where they are and remaster including your standard settings in /root or /etc. this possibility is explained explicitly in the help texts of «Remaster PUPPY live-CD»! but where is the setting sheet for Rox or for alsamixer?
Back to top
View user's profile Send private message 
01101001b


Joined: 08 Mar 2017
Posts: 90
Location: Buenos Aires, Argentina

PostPosted: Fri 07 Dec 2018, 00:44    Post subject:  

oui wrote:
it is classical in Puppy [...] a lot of values return to the default values each restart: sound, .jwmrc, xorgconf, UTC/localtime etc.

Hi Oui! A very great tip indeed. I was guessing something like that and now you confirm my suspicion. I appreciate it.

Quote:
this possibility is explained explicitly in the help texts of «Remaster PUPPY live-CD»!

Now you have piqued my interest. I had read in the forum about "remasters" and seen that option in my system (obviously) but I wasn't quite sure why I'd want to make one or how (now "Remove builtin packages" makes a whole lot of sense to me).

Quote:
but where is the setting sheet for Rox or for alsamixer?

For ROX you can find some defaults settings in /root/.xinitrc. For alsamixer (here maybe?) /root/.config/gconf/apps/gnome-alsamixer.
Thanks again for your reply. Regards! Smile
Back to top
View user's profile Send private message 
daarek5

Joined: 21 Sep 2015
Posts: 22

PostPosted: Fri 14 Dec 2018, 07:47    Post subject:  ppp module was unloaded  

by default ppp module was unloaded. Strange for me (less experienced user) Confused .
Caused old 3G modem was not working.
Code:
modprobe ppp_generic

helps

Regards!
Back to top
View user's profile Send private message 
6502coder


Joined: 23 Mar 2009
Posts: 649
Location: Western United States

PostPosted: Sat 15 Dec 2018, 03:57    Post subject: Something strange when swapping flash drives
Subject description: Never Mind
 

Edit 23 jan 2019: NEVER MIND! It turned out to be due to a flash drive going bad.

I'm running Dpup Stretch 7.5 RC 3 with the 4.1.48 kernel and encountered a puzzling behavior with flash drives that I hope somebody can explain.

My computer is a 2003 Compaq Presario laptop with WinXP and TahrPup 6.0.6 dual-booting off the hard drive. I have Dpup Stetch installed on a green flash drive (frugal install with saveFOLDER), so when I boot from the flash drive, it shows up as sdb1, while WinXP and TahrPup are on sda1 and sda2 respectively.

Today I was running Dpup Stretch and I plugged in a second (BLACK) flash drive which showed up as sdc1, as usual and as expected. I did my business with the black flash drive, then unmounted it (by clicking on the little "house" symbol in the upper-right corner of the desk icon) and then unplugged it. I opened a terminal session and ran "df" to verify that sdc1 was no longer mounted. I then inserted a different (RED) flash drive, which again showed up as sdc1 on the desktop.

When I mounted the red flash drive, the ROX window I got showed me the contents of the BLACK flash drive. Puzzled, I opened a terminal, cd'd into /mnt/sdc1, and did an "ls" and saw the correct contents of the red flash drive. But when I typed "rox" into the terminal session, the ROX window that came up again showed the contents of the BLACK flash drive, not the RED flash drive.

In short, I got the impression that a ROX cache is not being cleared correctly when a flash drive is unmounted. Am I correct, or do Dpups just work differently from standard Puppies is this regard?

In case it matters, all three of the flash drives I was using in this incident were plugged into a 3-port USB extender which in turn was plugged into one of the 2 USB ports on the laptop -- the other is taken up by the mouse, which is why I need to use the extender in order to be able to use the mouse, the green Dpup drive, AND either the black or the red flash drive simultaneously. The port I plugged the red flash drive was the same port I used with the black flash drive.

(It's nearing midnight now for me so I'll check back in tomorrow morning)

Last edited by 6502coder on Wed 23 Jan 2019, 19:42; edited 1 time in total
Back to top
View user's profile Send private message 
radky

Joined: 02 May 2010
Posts: 980

PostPosted: Sat 15 Dec 2018, 13:33    Post subject:  

Hi 6502coder,

Stretch RC3 was released 6 months ago. In the interim the Woof-CE devs have implemented multiple revisions of pup_event code to better manage the behavior of drive icons, and ROX-Filer is now significantly improved. These changes will be included in RC4.

Recent changes in Woof-CE are quite extensive. I'm currently testing new builds and waiting for additional bug fixes before releasing Stretch RC4.

Thanks for your patience. Smile

_________________
PupMates
Back to top
View user's profile Send private message 
6502coder


Joined: 23 Mar 2009
Posts: 649
Location: Western United States

PostPosted: Sat 15 Dec 2018, 15:56    Post subject:  

Thanks radky, I'm really enjoying your Dpup and look forward to RC4. Aside from this one glitch, RC3 has been a very smooth ride for me.
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1955
Location: Maine, USA

PostPosted: Sat 15 Dec 2018, 21:42    Post subject: Need updated perl module from repo  

radky,
I am running kdiff3 from the git-gui package and encountered these messages:
Code:
Can't locate Class/Struct.pm in @INC (you may need to install the Class::Struct module) (@INC contains: /usr/share/perl/5.24.1 /etc/perl /usr/local/lib/i386-linux-gnu/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/i386-linux-gnu/perl5/5.24 /usr/share/perl5 /usr/lib/i386-linux-gnu/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/i386-linux-gnu/perl-base .) at /usr/share/perl/5.24.1/File/stat.pm line 184.
BEGIN failed--compilation aborted at /usr/share/perl/5.24.1/File/stat.pm line 184.
Compilation failed in require at /usr/lib/git-core/git-difftool line 21.
BEGIN failed--compilation aborted at /usr/lib/git-core/git-difftool line 21.

I found that I needed to update some perl packages with the PPM:
    The obvious one to update: perl-modules-5.24_5.24.1-3+deb9u4 to replace ...deb9u2
    Related updated packages: perl_5.24.1-3+deb9u4, perl-base_5.24.1-3+deb9u4, libperl_5.24.1-3+deb9u4
    Another related package but not shown for installation: libperl-dev_5.24.1-3+deb9u4
I installed all but the last and see that kdiff3 now runs normally. I am not sure all need updating, but it seems prudent to do so.

Could these updates be included in RC4? Xenial, bionic64, upupbb and upupcc seem to already have the missing module (Class::Struct).

Thank you.
Richard
Back to top
View user's profile Send private message 
radky

Joined: 02 May 2010
Posts: 980

PostPosted: Tue 18 Dec 2018, 15:58    Post subject: Re: Need updated perl module from repo  

rerwin wrote:
radky,
I am running kdiff3 from the git-gui package and encountered these messages:[code] Can't locate Class/Struct.pm in @INC ...

I found that I needed to update some perl packages with the PPM:
    perl-modules-5.24_5.24.1-3+deb9u4
    Related updated packages: perl_5.24.1-3+deb9u4, perl-base_5.24.1-3+deb9u4, libperl_5.24.1-3+deb9u4
    Another related package but not shown for installation: libperl-dev_5.24.1-3+deb9u4
I installed all but the last and see that kdiff3 now runs normally. I am not sure all need updating, but it seems prudent to do so.

Could these updates be included in RC4? Xenial, bionic64, upupbb and upupcc seem to already have the missing module (Class::Struct).

Thank you.
Richard

Hi rerwin,

Stretch RC4 will contain the following perl packages:

1 - perl-base_5.24.1-3+deb9u4
2 - perl-modules-5.24_5.24.1-3+deb9u4
3 - perl_5.24.1-3+deb9u4
4 - libperl-dev_5.24.1-3+deb9u4
5 - libperl5.24_5.24.1-3+deb9u4

---

Note: /usr/share/perl/5.24.1/Class/Struct.pm is not a default perl module in the base RC4 iso, but it is included in the optional devx.sfs.

If Struct.pm is the sole missing perl module required for running kdiff3, I can include it in the base RC4 iso.

I hope this helps.

_________________
PupMates
Back to top
View user's profile Send private message 
Brown Mouse

Joined: 09 Jun 2009
Posts: 544

PostPosted: Mon 31 Dec 2018, 07:57    Post subject:  

Keep having this popup every few minutes.
Any ideas why or how to get rid of it?Ive changed nothing recently so not sure what has caused it to keep appearing. 'Reload setting' makes no difference.

TIA
image-4.png
 Description   
 Filesize   28.47 KB
 Viewed   419 Time(s)

image-4.png

Back to top
View user's profile Send private message 
radky

Joined: 02 May 2010
Posts: 980

PostPosted: Mon 31 Dec 2018, 14:28    Post subject:  

Brown Mouse wrote:
Quote:
Warning: Connection to sound system failed.
Do you want to re-initialize the audio connection?

@Brown Mouse,

Importantly, PNMixer modulates the ALSA interface for sound card device drivers, but does not directly support pulseaudio.

Possibly, one of your media applications is intermittently stopping the alsa daemon, at which point PNMixer warns of the failed connection to the sound system.

Have you noticed this issue when running a specific program such as Mplayer, VLC Media Player, Firefox Quantum, or other media application?

I have not experienced the issue you describe with PNMixer, but some users have (see following pnmixer link at github.com):

https://github.com/nicklan/pnmixer/issues/182

One of the pnmixer devs (hasufell) speculates (in some cases) pulseaudio does not play well with alsa and may interfere with the alsa daemon.

Whatever the reason, the current official release of PNMixer does not automatically reload the sound system when the alsa channel is skewed.

It seems hasufell (pnmixer dev) has offered a patch (below) to address this issue, but the patch is not yet included in the master branch of PNMixer.

https://github.com/nicklan/pnmixer/pull/183

_________________
PupMates
Back to top
View user's profile Send private message 
Brown Mouse

Joined: 09 Jun 2009
Posts: 544

PostPosted: Thu 03 Jan 2019, 08:36    Post subject:  

radky wrote:
Brown Mouse wrote:
Quote:
Warning: Connection to sound system failed.
Do you want to re-initialize the audio connection?




Have you noticed this issue when running a specific program such as Mplayer, VLC Media Player, Firefox Quantum, or other media application?


https://github.com/nicklan/pnmixer/pull/183


Thank you for your explanation radky.
Yes,it seemed to occur whilst running Firefox Quantum.Since that was all I was running at the time then presumably you are correct and it is linked to that.
Ive not seen the problem reoccur yet.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 30 of 47 [691 Posts]   Goto page: Previous 1, 2, 3, ..., 28, 29, 30, 31, 32, ..., 45, 46, 47 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1385s ][ Queries: 13 (0.0774s) ][ GZIP on ]